Subject: Re: #1008 USEFOR 1.5 "followup": summary so far,

From: John Stanley <[email-masked]>
Date: Wed, 1 Jun 2005 10:28:21 -0700 (PDT)

Harald Tveit Alvestrand <harald@xxxxxxxxxxxxx>:
                                                                                
>>I don't know if you mean "current standards say", "our draft says", "we
>>want to say", or what.
                                                                                
> I thought this was sufficiently clear from the original message:
                                                                                
Until you asked me about what USEFOR currently says, I thought so too.
                                                                                
>I don't see the logic in that. Most of the work of standards is to define
>terms to have a meaning *in the context of the standards* that is not
>identical to an "intuitive" understanding of what the word means.
                                                                                
That's ridiculous. If a term has a common meaning, it is perfectly
acceptable for the standards to use those terms in their common meaning.
In this case, "reply" has a commonly understood english meaning. I'm doing
it right now -- replying to something you wrote. This is a reply. I'm
doing it in email, but if I were doing it in news, it would still be a
reply, and we would also call it a followup. In news, it would have a
References header, and you would have no doubt.
                                                                                
>If we can't define a specific meaning for a word like "followup", we have
>to invent new words like "froobnitz" every time we want a term with a
>specific definition - and I don't see how that aids the clarity of the
>standards.
                                                                                
Taking a word that is already in current usage and redefining it to be
something else certainly does not clarify the standard. People, today,
right now, probably within a second or two of when I write this, are
using the term "followup" to mean "in response to or as a result of". That
part 2 of the FAQ you see today was posted because part 1 was posted.
That's "as a result of". If it contains a References header, then you know
that the poster intended it as a followup. It doesn't get much clearer
than that. It's current practice; let's document it and get on with life.
It's a simple change, or would have been had Charles not gone rampant with
unilateral changes to what wasn't being discussed.
                                                                                
>If you post a reply to my message in news, and don't include a References:
>header, I'm perfectly happy with saying that "this is not a followup as
>defined in USEFOR".                  
                                                                  
I'd be happier with the truth, which is yes, it is a followup but you
cannot detect it as such. I'd be even happier if we can find a
justification so you could identify it as such by requiring a References
header, but it doesn't look likely that we'll ever find an RFC2119
justification for that mandate anymore, so I'll stick with just
documenting existing practice in this area.
                                                                                
And "this is a followup as defined in USEFOR" isn't the actual issue you
asked about. News "Replies" as found in RFC2822 are "followups" as found
in USEFOR, unless you create some really wacky unrealistic definition for
"followup" that doesn't match anything seen so far. If your definition
includes "in response to", then "replies" posted to news are "followups",
and References is optional in those replies, and thus in those followups.